| Home | Libraries | People | FAQ | More

## Struct template version<icl::inplace_minus< Type >>

boost::icl::version<icl::inplace_minus< Type >>

## Synopsis

    // In header: <boost/icl/functors.hpp>

    template<typename Type>
    struct version<icl::inplace_minus< Type >> :
      public boost::icl::conversion< boost::icl::inplace_minus< Type > >
    {
      // types
      typedef version< icl::inplace_minus< Type > >    type;
      typedef conversion< icl::inplace_minus< Type > > base_type;
      typedef base_type::argument_type                 argument_type;

      // public member functions
      Type operator()(const Type &);
    };

## Description

### `version` public member functions

1.     Type operator()(const Type & value);